{# templates/update.jinja2 #}
    result = dict(comment=[], ret=[], result=True)

    desired_state = {
        k: v
        for k, v in locals().items()
        if k not in ("hub", "ctx", "result") and v is not None
    }

    resource_to_raw_input_mapping = {{ function.hardcoded.request_mappings|default("{}", true) }}

    payload = {}
    for key, value in desired_state.items():
        if key in resource_to_raw_input_mapping.keys() and value is not None and key != "_last_modified":
            payload[resource_to_raw_input_mapping[key]] = value

    if payload:
        update = await hub.tool.{{ function.hardcoded.service_name }}.session.request(
            ctx,
            method="put",
            {%- if "uuid" in function.hardcoded.path %}
            path="{{ function.hardcoded.path }}".format(**{'uuid': resource_id}),
            {%- else %}
            path="{{ function.hardcoded.path }}".format(**{{ parameter.mapping.path|default({}) }}),
            {%- endif %}
            query_params={},
            data=payload,
        )

        if not update["result"]:
            result["comment"].append(update["comment"])
            result["result"] = False
            return result

        result["ret"] = update["ret"]
        result['resource_id'] = update["ret"]["uuid"]
        result["comment"].append(f"Updated {{ function.hardcoded.service_name }}.{{ function.hardcoded.resource_name }} '{name}'",)

    return result
